Bug Hunting Session
Bug 108287 - EDITING: Changing the background color in calc is slower than in previous versions
Summary: EDITING: Changing the background color in calc is slower than in previous ver...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: JoNi
URL:
Whiteboard: target:5.5.0 target:5.4.0.1 target:6.0.0
Keywords: bibisected, bisected, perf, regression
Depends on:
Blocks:
 
Reported: 2017-06-01 18:02 UTC by Telesto
Modified: 2017-07-05 07:39 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-06-01 18:02:59 UTC
Description:
Changing the background color in calc is slower than in previous versions 

Steps to Reproduce:
1. Open attachment 133790 [details]
2. Press CTRL+A and wait until toolbar is responsive
3. The color picker for the background in the toolbar, choose some color and apply.. take notice of time required

Actual Results:  
It takes around 13 seconds to change to background color

Expected Results:
With LibO5.2.5.0.0+ just 3 seconds is needed


Reproducible: Always

User Profile Reset: No

Additional Info:
Found in
Version: 5.5.0.0.alpha0+
Build ID: ec79f3453471ee9b6ae32e71ff16ea99d9b7751c
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-05-28_23:21:44
Locale: nl-NL (nl_NL); Calc: CL

and in
Versie: 5.4.0.0.beta1 
Build ID: 8672113ead4e403c55e31b1d9a3d1e0f3b299577
CPU-threads: 4; Besturingssysteem:Windows 6.2; UI-render: standaard; 
Locale: nl-NL (nl_NL); Calc: CL

but not in
Version: 5.2.5.0.0+
Build ID: a4d4fbeb623013f6377b30711ceedb38ea4b49f8
CPU Threads: 4; OS Version: Windows 6.2; UI Render: GL; 
TinderBox: Win-x86@62-merge-TDF, Branch:libreoffice-5-2, Time: 2016-12-24_14:43:55
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Xavier Van Wijmeersch 2017-06-03 10:08:46 UTC
i can reproduce the behavior in

Version: 5.5.0.0.alpha0+
Build ID: 066665644b398a882e6cded98af5bb060af41d76
CPU threads: 2; OS: Linux 4.9; UI render: default; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86@71-TDF, Branch:master, Time: 2017-06-01_01:43:55
Locale: nl-BE (en_US.UTF-8); Calc: group

its very slow but in

Version: 5.2.8.0.0+
Build ID: e0b1245d4e715509fa84d50a66b926bbb76fed6f
CPU Threads: 2; OS Version: Linux 4.9; UI Render: default; VCL: kde4; 
Locale: en-US (en_US.UTF-8); Calc: group

its done in 3 seconds

OS Slackware14.2 current X86
Comment 2 Xisco Faulí 2017-06-05 11:02:56 UTC
Regression introduced by:

author	Jochen Nitschke <j.nitschke+logerrit@ok.de>	2017-01-13 08:38:33 (GMT)
committer	Jochen Nitschke <j.nitschke+logerrit@ok.de>	2017-01-15 23:53:13 (GMT)
commit	7c73c4605bb75b288e186b5de0ca12da1724353e (patch)
tree	1c257eb8942d4da43456e4c6217acb97b80fbf40
parent	ff08e8d5618f84366439c6f48bd7c5f3062905a3 (diff)
tdf#48140 replace ApiCellRangeList in xlsx import (3)

Bisected with bibisect-linux-64-5.4.

Adding Cc: to Jochen Nitschke
Comment 3 Commit Notification 2017-06-06 09:39:44 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2f5d1fc88f5d8b302d5c777b1becaad2f8406f97

tdf#108287 perf regression changing background color

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-06-06 10:22:33 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e1d6f559b72be35756af8618011c2395016db2fe&h=libreoffice-5-4

tdf#108287 perf regression changing background color

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 JoNi 2017-06-06 10:28:07 UTC
a thank-you to the testing team.
should be fixed in next builds. please verify
Comment 6 Commit Notification 2017-07-05 06:40:31 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=11c8f511779d133229e384b25636e0bba28b3089

tdf#108287 replace std::bind2nd with lambda

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 JoNi 2017-07-05 07:39:29 UTC
sorry, please ignore comment 6

transposed digits in bug number, should have been tdf#108782